# Flow class

A class to represent Flow events.

Flow objects are used to thread flow events between timeline slices, for example, those created with the Timeline class below. Adding Flow objects cause arrows to be drawn between slices in Chrome's trace viewer. The arrows start at e.g Timeline events that are passed a Flow.begin object, go through Timeline events that are passed a Flow.step object, and end at Timeline events that are passed a Flow.end object, all having the same Flow.id. For example:

    var flow = Flow.begin();
    Timeline.timeSync('flow_test', () {
      doSomething();
    }, flow: flow);

    Timeline.timeSync('flow_test', () {
      doSomething();
    }, flow: Flow.step(flow.id));

    Timeline.timeSync('flow_test', () {
      doSomething();
    }, flow: Flow.end(flow.id));

## Properties

id → int
  The flow id of the flow event.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

begin({int id }) → Flow
  A "begin" Flow event. [...]
end(int id) → Flow
  An "end" Flow event. [...]
step(int id) → Flow
  A "step" Flow event. [...]